/*
    JQuery.validate.js 表单验证插件 + JQuery.form.js + layer弹窗  
	公共表单验证和提交功能模块
	本代码由易网软件提供 
	网址：www.ew80.com   QQ:289669073  微信号：ew80net
*/

$(document).ready(function(){
		
//添加自定义验证规则
	//手机号验证
	jQuery.validator.addMethod("phone", function(value, element) { 
		var length = value.length; 
		var phone = /^(((13[0-9]{1})|(14[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/ 
		return this.optional(element) || (length == 11 && phone.test(value)); 
	}, "手机号码格式错误"); 
	//邮编验证
	jQuery.validator.addMethod("code", function(value, element) { 
		var code = /^[0-9][6]$/ 
		return this.optional(element) || (code.test(value)); 
	}, "邮政编码格式错误"); 
		
		
	//公共参数配置	
	$.validator.setDefaults({
		
	 //重写showErrors
                showErrors: function (errorMap, errorList) {
                    var msg = "";	
                    $.each(errorList, function (i, v) {
                        //msg += (v.message + "\r\n");
                        //在此处用了layer的方法,显示效果更美观
                        //layer.tip(v.message, v.element, {time: 2000 });
						layer.msg(v.message,{ icon:0,time: 2000 });
                        return false;
                    });  
                },
		 //空值检测开启，方便检测下拉框			
		ignore: "",	
		onkeyup : false,
		
});

//公共参数配置完成



	//后台新增授权表单验证
	$("#sq_add").validate({

		rules:{
			ADID:{
				required:true,//必填
			
			},
			phone:{
				required:true,
				phone:true,
				
			},
			email:{
				email:true,
			},
			sqfs:{
				required:true,	
			},
			cname:{
				required:true,	

			},
				
			cpname:{		
				required:true,
			},
			
		},
		//错误信息提示
		messages:{
			ADID:{
				required:"授权码没有填写",
			},
			
			phone:{
				required:"请填写用户手机号",
				phone:"手机号码格式错误",
			},
			
			email:{
				email:"请填写正确的邮箱地址",
				
			},
			sqfs:{
				required:"请选择授权方式",
				
			},
			cname:{
				required:"用户姓名没有填写",

			},
			cpname:{
				required:"请选择要授权的产品",
			},
			
			
		},

	});
	
    //新增授权验证END
	
	
	


});

